اجرا نشدن برنامه در اندروید 4

0 امتیاز
65 بازدید
سوال شده آذر 11, 1395 توسط gigiran  
ویرایش شده آذر 11, 1395 توسط gigiran

سلام من برنامم را داشتم  تو آندروید 4 تست می کردم یه چند تا کد اضافه کردم ....حالا دیگه رو آندورید 4 اجرا نمیشه .برنامه را بردم رو آندروید 5 و 6 اجرا شد .مشکلش چیه؟؟

خروجی زیاد بود اولش را گذاشتم logcat:


 

12-01 13:28:32.707 4147-4147/farscontrol.com.automation E/dalvikvm: Could not find class 'android.util.ArrayMap', referenced from method com.android.tools.fd.runtime.MonkeyPatcher.monkeyPatchExistingResources

 

 

===================================

و bulid.gradle

apply plugin: 'com.android.application'

android {
    compileSdkVersion 23
    buildToolsVersion "23.0.3"

    defaultConfig {
        applicationId "farscontrol.com.automation"
        minSdkVersion 14
        targetSdkVersion 23
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:23.4.0'
    compile 'com.android.support:design:23.4.0'
    compile 'com.android.support:support-v4:23.4.0'
    compile 'de.hdodenhof:circleimageview:2.1.0'
    compile 'com.github.traex.rippleeffect:library:1.3'
    compile 'com.android.support:cardview-v7:23.4.0'
    compile 'com.android.support:recyclerview-v7:23.4.0'

}

 

این مطلب را به اشتراک بگذارید

1 پاسخ

0 امتیاز
پاسخ داده شده آذر 11, 1395 توسط sajjadfcb  
انتخاب شده آذر 11, 1395 توسط gigiran
 
بهترین پاسخ

سلام

این خط گد رو به فایل build.gradle اضافه کنید.

compile "com.android.support:support-core-utils:23.4.0"
دارای دیدگاه آذر 11, 1395 توسط gigiran  
اضافه کردم .این خطا را میده!

Error:Failed to resolve: com.android.support:support-core-utils:23.4.0
<a href="install.m2.repo">Install Repository and sync project</a><br><a href="openFile:C:/Users/ali/AndroidStudioProjects/automation2/app/build.gradle">Open File</a><br><a href="open.dependency.in.project.structure">Show in Project Structure dialog</a>
C:\Users\ali\AndroidStudioProjects\automation2\app\build.gradle
دارای دیدگاه آذر 11, 1395 توسط sajjadfcb  
ورژن آخرش رو به 24.2.0 تغییر بدید اگه درست نشد موس رو روی اون خط بگیرید ببینید چه ورژنی پیشنهاد میده به همون تغییر بدید.
دارای دیدگاه آذر 11, 1395 توسط gigiran  
ویرایش شده آذر 11, 1395 توسط gigiran
هرچی میزنم خطا میده.راهه دیگه نیست؟!

لطفا کمک کنید.سپاسگذارم
دارای دیدگاه آذر 11, 1395 توسط sajjadfcb  
به دلیل ناسازگاری ورژن این خطا رو میده اگه sdk رو آپدیت کنید به ورژن 24 درست میشه .
دارای دیدگاه آذر 11, 1395 توسط gigiran  

آپدیت کردم

کدم قرار دادم. 

compile "com.android.support:support-core-utils:24.2.1"

 .ولی بازم اجرا نشد تو آندرید 4

logcat زیاد بود این جا گذاشتم

http://www.farscontrol.com/a.txt

دارای دیدگاه آذر 11, 1395 توسط sajjadfcb  
از لاین 21 در فایل xml داره ایراد میگیره شاید اون خط تو آندروید 4 پشتیبانی نمیشه اگه  درستش کردین که هیچ وگرنه اگه براتون مقدوره پروژه رو آپلود کنید تا ببینم مشکلش چیه.
دارای دیدگاه آذر 11, 1395 توسط gigiran  

درست شد.دستت دردنکنه!ممنونwink

دارای دیدگاه آذر 11, 1395 توسط a.parishan  
سلام آقا سجاد.بی زحمت ایمیلت رو اینجا قرار میدی؟
دارای دیدگاه آذر 11, 1395 توسط sajjadfcb  
email:sajjadfcb75@gmail.com telegram:sajjadfcb

722 سوال

671 پاسخ

1,175 دیدگاه

319 کاربر

به خانه برنامه نویسان ایرانی خوش آمدید . سوالتان را به سادگی هرچه تمام تر پرسیده و پاسخ آن را دریافت کنید.
ذکات علم نشر آن است.


لطفا از Android Studio استفاده بفرمایید

این مطلب را به اشتراک بگذارید

ali.ashkaran@gmail
ما .....
  • سعی بر پاسخگویی به سوالات دیگران داریم.
  • به سوال و یا نظر دیگران احترام می گذاریم .
  • این وبسایت را به دیگران معرفی می کنیم.
  • همواره صمیمیت و ادب را رعایت می کنیم.
  • به سوالمان برچسب های مرتبط اضافه می کنیم.
  • در حین طرح سوال فرد خاصی را مخاطب قرار نمی دهیم .
...